
%global meadversion 2.3.0
%global namedversion 2.3.0.redhat-00001
%global meadalpha .redhat_00001
%global meadrel .1
%global serial 1
%global namedversionrel redhat-00001

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package velocity}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.3.0.redhat-00001

Name:           %{?scl_prefix}velocity
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Apache Velocity
Group:          Development/Java

%if %with mead
Source100: velocity-engine-parent-2.3.0.redhat-00001-project-sources.tar.gz
Source102: velocity-engine-scripting-2.3.0.redhat-00001.jar
Source103: velocity-engine-core-2.3.0.redhat-00001.pom
Source104: velocity-engine-scripting-2.3.0.redhat-00001-javadoc.jar
Source105: velocity-engine-examples-2.3.0.redhat-00001-pkg.zip
Source106: velocity-engine-examples-2.3.0.redhat-00001-sources.jar
Source107: velocity-engine-parent-2.3.0.redhat-00001.pom
Source108: velocity-engine-examples-2.3.0.redhat-00001.pom
Source109: spring-velocity-support-2.3.0.redhat-00001-sources.jar
Source110: velocity-engine-scripting-2.3.0.redhat-00001.pom
Source111: velocity-engine-examples-2.3.0.redhat-00001-javadoc.jar
Source112: spring-velocity-support-2.3.0.redhat-00001.pom
Source113: velocity-engine-core-2.3.0.redhat-00001-javadoc.jar
Source114: spring-velocity-support-2.3.0.redhat-00001-javadoc.jar
Source115: spring-velocity-support-2.3.0.redhat-00001.jar
Source116: velocity-custom-parser-example-2.3.0.redhat-00001.pom
Source117: velocity-engine-scripting-2.3.0.redhat-00001-sources.jar
Source118: velocity-engine-core-2.3.0.redhat-00001.jar
Source119: velocity-engine-examples-2.3.0.redhat-00001.jar
Source120: velocity-engine-core-2.3.0.redhat-00001-sources.jar
%endif

License:        ASL 2.0
URL:            http://velocity.apache.org/
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{namedversion}-%{release}-root

Provides:       %{?scl_prefix}velocity-engine = %{epoch}:%{version}-%{release}

%description
Apache Velocity is a general purpose template engine.

%package -n %{?scl_prefix}velocity-engine-core
Summary:        Apache Velocity - Engine
Group:          Development/Java


%description -n %{?scl_prefix}velocity-engine-core
Apache Velocity - Engine.

%package -n %{?scl_prefix}velocity-engine-examples
Summary:        Apache Velocity Engine - Examples
Group:          Development/Java


%description -n %{?scl_prefix}velocity-engine-examples
Very simple examples to use Velocity.

%package -n %{?scl_prefix}velocity-engine-scripting
Summary:        Apache Velocity - JSR 223 Scripting
Group:          Development/Java


%description -n %{?scl_prefix}velocity-engine-scripting
Apache Velocity - JSR 223 Scripting.


%if %with javadoc
%package javadoc
Summary:        Javadoc for velocity
Group:          Development/Java

BuildRequires:  unzip

%description javadoc
%{summary}.
%endif

%prep
%setup -q -n velocity-engine-parent-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/velocity-engine-core-%{namedversion}.jar %{buildroot}%{_javadir}/velocity-engine-core-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/velocity-engine-core-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/velocity-engine-core-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/velocity-engine-core-%{namedversion}-sources.jar %{buildroot}%{_javadir}/velocity-engine-core-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/velocity-engine-examples-%{namedversion}.jar %{buildroot}%{_javadir}/velocity-engine-examples-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/velocity-engine-examples-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/velocity-engine-examples-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/velocity-engine-examples-%{namedversion}-sources.jar %{buildroot}%{_javadir}/velocity-engine-examples-%{namedversion}-sources.jar

%{__cp} -p %{_sourcedir}/velocity-engine-scripting-%{namedversion}.jar %{buildroot}%{_javadir}/velocity-engine-scripting-%{namedversion}.jar
%if %with javadoc
%{__cp} -p %{_sourcedir}/velocity-engine-scripting-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/velocity-engine-scripting-%{namedversion}-javadoc.jar
%endif
%{__cp} -p %{_sourcedir}/velocity-engine-scripting-%{namedversion}-sources.jar %{buildroot}%{_javadir}/velocity-engine-scripting-%{namedversion}-sources.jar


(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/velocity-engine-core-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/velocity-engine-core-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/velocity-engine-core-%{namedversion} -x META-INF/\*
%{__ln_s} velocity-engine-core-%{namedversion} %{buildroot}%{_javadocdir}/velocity-engine-core
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc LICENSE NOTICE README.md src/changes/changes.xml

%files -n %{?scl_prefix}velocity-engine-core
%defattr(0644,root,root,0755)
%{_javadir}/velocity-engine-core-%{namedversion}.jar
%{_javadir}/velocity-engine-core.jar
%if %with javadoc
%{_javadir}/velocity-engine-core-%{namedversion}-javadoc.jar
%{_javadir}/velocity-engine-core-javadoc.jar
%endif
%{_javadir}/velocity-engine-core-%{namedversion}-sources.jar
%{_javadir}/velocity-engine-core-sources.jar

%files -n %{?scl_prefix}velocity-engine-examples
%defattr(0644,root,root,0755)
%{_javadir}/velocity-engine-examples-%{namedversion}.jar
%{_javadir}/velocity-engine-examples.jar
%if %with javadoc
%{_javadir}/velocity-engine-examples-%{namedversion}-javadoc.jar
%{_javadir}/velocity-engine-examples-javadoc.jar
%endif
%{_javadir}/velocity-engine-examples-%{namedversion}-sources.jar
%{_javadir}/velocity-engine-examples-sources.jar

%files -n %{?scl_prefix}velocity-engine-scripting
%defattr(0644,root,root,0755)
%{_javadir}/velocity-engine-scripting-%{namedversion}.jar
%{_javadir}/velocity-engine-scripting.jar
%if %with javadoc
%{_javadir}/velocity-engine-scripting-%{namedversion}-javadoc.jar
%{_javadir}/velocity-engine-scripting-javadoc.jar
%endif
%{_javadir}/velocity-engine-scripting-%{namedversion}-sources.jar
%{_javadir}/velocity-engine-scripting-sources.jar


%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/velocity-engine-core-%{namedversion}
%{_javadocdir}/velocity-engine-core
%endif

%changelog
* Fri Mar 19 2021 Yong Yang <yyang@redhat.com> - 2.3.0-1.redhat_00001.1
- 2.3.0.redhat_00001

* Fri Aug 07 2020 Yong Yang <yyang@redhat.com> - 2.2.0-1.redhat_00001.1
- RPM wrapper build 2.2.0.redhat-00001

* Wed Nov 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.1.0-1.redhat_00001.1
- 2.1.0.redhat-00001

* Mon Sep 30 2019 Yong Yang <yyang@redhat.com> - 2.0.0-4.redhat_1.2
- RPM wrapper build 2.1.0.redhat-00001

* Tue Jul 31 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.0-3.redhat_1.2
- Rewrap for 7.2.0

* Fri Jul 06 2018 Permaine Cheung <pcheung@redhat.com> - 2.0.0-2.redhat_1.2
- Fix Requires

* Wed Jun 27 2018 Yong Yang <yyang@redhat.com> - 2.0.0-1.redhat_1.2
- Rewrap with file fixed

* Wed Jun 27 2018 Yong Yang <yyang@redhat.com> - 2.0.0-1.redhat_1.2
-  2.0.0.redhat-1 for eap 7.2.0

* Wed Jun 27 2018 Yong Yang <yyang@redhat.com> - 2.0.0-1.redhat_1.1
- Upgrade to 2.0.0
- Create subpackages

* Thu Jun 11 2015 David Walluck <dwalluck@redhat.com> - 1.7.0-2.redhat_5.1
- remove commons-lang Requires

* Wed May 27 2015 David Walluck <dwalluck@redhat.com> - 1.7.0-1.redhat_5.1
- release
